#!/bin/bash

giffify() {
    # http://www.imagemagick.org/Usage/anim_mods/#frame_mod
    convert -delay 15 -loop 0 ${page}*.png ${page}anim.gif
    convert ${page}anim.gif \( -clone 0 -set delay 200 \) -swap 0 +delete \( +clone -set delay 500 \) +swap +delete ${page}anim.gif
}

upload() {
    pandoc scratchquest.md -f markdown -t html --css scratchquest.css --metadata pagetitle="scratchquest" -s -o scratchquest.html
    rsync -avh * florrie@ed1.club:~/public_html/stuff/scratchquest
}
